QT += widgets dbus xml

TEMPLATE = lib
DEFINES += LIBAISDKPLUGIN_LIBRARY
TARGET = kylin-ai-subsystem-plugin

CONFIG += plugin link_pkgconfig c++11
LIBS += -lukcc -lQApt

PKGCONFIG += kysdk-qtwidgets

TARGET = $$qtLibraryTarget(kylinaisubsystemplugin)
target.path = $$[QT_INSTALL_LIBS]/ukui-control-center

interfaces.path = /usr/include/kylin-ai-subsystem-plugin/
interfaces.files = aisubsystemplugininterface.h

schemas.files += $$PWD/data/org.kylin-ai-subsystem-plugin.gschema.xml
schemas.path = /usr/share/glib-2.0/schemas/

INSTALLS += interfaces target schemas

TRANSLATIONS = \
    translations/zh_CN.ts \
    translations/en_US.ts \
    translations/bo_CN.ts \
    translations/mn.ts \
    translations/zh_HK.ts

TRANSLATIONS_FILES =

qtPrepareTool(LRELEASE, lrelease)
for(tsfile, TRANSLATIONS) {
    qmfile = $$shadowed($$tsfile)
    qmfile ~= s,.ts$,.qm,
    qmdir = $$dirname(qmfile)
    !exists($$qmdir) {
        mkpath($$qmdir)|error("Aborting.")
    }
    command = $$LRELEASE -removeidentical $$tsfile -qm $$qmfile
    system($$command)|error("Failed to run: $$command")
    TRANSLATIONS_FILES += $$qmfile
}

qmfile.path = $${PREFIX}/share/kylin-ai-subsystem-plugin/translations/
qmfile.files = $${TRANSLATIONS_FILES}

DEFINES += KYLIN_AI_SUBSYSTEM_PLUGIN_PATH=\\\"$$[QT_INSTALL_LIBS]/kylin-ai-subsystem-plugin\\\"

HEADERS += \
    aisubsystemplugininterface.h \
    configmanager.h \
    subsysteminstallmodule.h \
    subsystempackagemanager.h \
    subsystemwidget.h

SOURCES += \
    configmanager.cpp \
    subsysteminstallmodule.cpp \
    subsystempackagemanager.cpp \
    subsystemwidget.cpp

RESOURCES += \
    image.qrc
